package de.ozgcloud.formcycle;

import static de.ozgcloud.formcycle.ExecutionResult.*;

import org.apache.commons.lang3.StringUtils;
import org.assertj.core.api.Assertions;
import org.assertj.core.data.MapEntry;
import org.junit.jupiter.api.Test;

class ExecutionResultTest {

	@Test
	void shouldCreateResultMap() {
		var vorgangnummer = "1";
		var executionResult = ExecutionResult.builder().vorgangnummer(vorgangnummer).build();

		var resultPropertyMap = executionResult.get();

		Assertions.assertThat(resultPropertyMap).containsOnly(MapEntry.entry(VORGANGNUMMER_PROPERTY_KEY, vorgangnummer));
	}

	@Test
	void shouldAddEmptyValues() {
		var executionResult = ExecutionResult.builder().build();

		var resultPropertyMap = executionResult.get();

		Assertions.assertThat(resultPropertyMap).containsOnly(MapEntry.entry(VORGANGNUMMER_PROPERTY_KEY, StringUtils.EMPTY));
	}
}